/*
 * @Author: ChenYaJin
 * @Date: 2021-10-23 15:14:30
 * @LastEditors: ChenYaJin
 * @LastEditTime: 2021-10-25 22:03:27
 * @Description: 
 */
class PassCardDetailModel {
  String? id;
  String? doorControlName;
  String? doorCard;
  int? status;

  PassCardDetailModel({
    this.id,
    this.doorControlName,
    this.doorCard,
    this.status,
  });

  PassCardDetailModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    id = map['id'];
    doorControlName = map['doorControlName'];
    doorCard = map['doorCard'];
    status = map['status'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['id'] = this.id;
    json['doorControlName'] = this.doorControlName;
    json['doorCard'] = this.doorCard;
    json['status'] = this.status;
    return json;
  }
}
